summaryrefslogtreecommitdiffstats
path: root/src/3rdparty/libmng/unmaintained
diff options
context:
space:
mode:
authorQt by Nokia <qt-info@nokia.com>2011-04-27 12:05:43 +0200
committeraxis <qt-info@nokia.com>2011-04-27 12:05:43 +0200
commit38be0d13830efd2d98281c645c3a60afe05ffece (patch)
tree6ea73f3ec77f7d153333779883e8120f82820abe /src/3rdparty/libmng/unmaintained
Initial import from the monolithic Qt.
This is the beginning of revision history for this module. If you want to look at revision history older than this, please refer to the Qt Git wiki for how to use Git history grafting. At the time of writing, this wiki is located here: http://qt.gitorious.org/qt/pages/GitIntroductionWithQt If you have already performed the grafting and you don't see any history beyond this commit, try running "git log" with the "--follow" argument. Branched from the monolithic repo, Qt master branch, at commit 896db169ea224deb96c59ce8af800d019de63f12
Diffstat (limited to 'src/3rdparty/libmng/unmaintained')
-rwxr-xr-xsrc/3rdparty/libmng/unmaintained/autogen.sh50
1 files changed, 50 insertions, 0 deletions
diff --git a/src/3rdparty/libmng/unmaintained/autogen.sh b/src/3rdparty/libmng/unmaintained/autogen.sh
new file mode 100755
index 0000000000..308ae37393
--- /dev/null
+++ b/src/3rdparty/libmng/unmaintained/autogen.sh
@@ -0,0 +1,50 @@
+# autogen.sh
+#
+# invoke the auto* tools to create the configureation system
+
+# move out configure.in
+if ! test -f configure.in; then
+ echo "copying configure.in"
+ ln -s makefiles/configure.in .
+fi
+
+# move out the macros and run aclocal
+if test ! -f acinclude.m4 -a -r makefiles/acinclude.m4; then
+ echo "copying configure macros"
+ ln -s makefiles/acinclude.m4 .
+fi
+
+# copy up our Makefile template
+if ! test -f Makefile.am; then
+ echo "copying automake template"
+ ln -s makefiles/Makefile.am .
+fi
+
+echo "running aclocal"
+aclocal
+
+# libtool is named glibtool on MacOS X
+for LIBTOOLIZE in libtoolize glibtoolize nope; do
+ ($LIBTOOLIZE --version) < /dev/null > /dev/null 2>&1 && break
+done
+if test x$LIBTOOLIZE = xnope; then
+ echo "error: Could not find libtoolize in the path!"
+ echo " You'll need to install a copy of libtool before continuing"
+ echo " with the generation of the build system."
+ echo
+ exit 1
+fi
+
+echo "running $LIBTOOLIZE"
+$LIBTOOLIZE --automake
+
+echo "running automake"
+automake --foreign --add-missing
+
+echo "building configure script"
+autoconf
+
+# and finally invoke our new configure
+./configure $*
+
+# end